> ## Documentation Index
> Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish a message

> Publique uma mensagem em seu canal personalizado

> **Supported products**

> **Required Scopes**


## OpenAPI

````yaml specs/2026-03/conversations-custom-channels-v2026-03.json POST /conversations/custom-channels/2026-03/{channelId}/messages
openapi: 3.0.1
info:
  title: Conversations Custom Channels
  description: Basepom for all HubSpot Projects
  version: 2026-03
  x-hubspot-product-tier-requirements:
    marketing: FREE
    sales: PROFESSIONAL
    service: PROFESSIONAL
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
  x-hubspot-api-use-case: >-
    Allow admins to install an integration with a third-party messaging channel
    that your team uses to communicate with customers, to allow users in your
    account to manage their conversations for that channel directly in HubSpot.
  x-hubspot-introduction: >-
    Use the custom channels API to create custom channels to build a bridge
    between an external message service and HubSpot's inbox or help desk
    features. 
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Basic
  - name: Channel accounts
  - name: Channels
  - name: Messages
paths:
  /conversations/custom-channels/2026-03/{channelId}/messages:
    post:
      tags:
        - Messages
      summary: Publique uma mensagem
      description: Publique uma mensagem em seu canal personalizado
      operationId: post-/conversations/custom-channels/2026-03/{channelId}/messages
      parameters:
        - name: channelId
          in: path
          description: >-
            O identificador exclusivo do canal personalizado onde a mensagem
            será criada.
          required: true
          style: simple
          explode: false
          schema:
            type: integer
            format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChannelIntegrationMessageEgg'
        required: true
      responses:
        '201':
          description: successful operation
          headers:
            Location:
              description: URL of the newly created resource
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicConversationsMessage'
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security:
        - oauth2:
            - conversations.custom_channels.write
components:
  schemas:
    ChannelIntegrationMessageEgg:
      required:
        - attachments
        - channelAccountId
        - messageDirection
        - recipients
        - senders
        - text
        - timestamp
      type: object
      properties:
        associateWithContactId:
          type: integer
          description: O ID do contato ao qual esta mensagem deve ser associada.
          format: int64
        attachments:
          type: array
          description: >-
            Uma matriz de anexos incluídos na mensagem, que podem ser arquivos,
            localizações, contatos ou outros tipos compatíveis.
          items:
            oneOf:
              - $ref: '#/components/schemas/FileAttachment'
              - $ref: '#/components/schemas/LocationAttachment'
              - $ref: '#/components/schemas/ContactAttachment'
              - $ref: '#/components/schemas/UnsupportedContentAttachment'
              - $ref: '#/components/schemas/MessageHeaderAttachment'
              - $ref: '#/components/schemas/QuickRepliesAttachment'
              - $ref: '#/components/schemas/SocialMetadataIntegrationAttachment'
        channelAccountId:
          type: string
          description: O ID da conta do canal por meio da qual a mensagem é enviada.
        inReplyToId:
          type: string
          description: O ID da mensagem à qual esta mensagem está respondendo.
        integrationIdempotencyId:
          type: string
          description: >-
            Um identificador único para garantir a idempotência da mensagem na
            integração.
        integrationThreadId:
          type: string
          description: Um identificador exclusivo para o thread dentro da integração.
        messageDirection:
          type: string
          description: >-
            A direção da mensagem, que indica se é "INCOMING" (recebida) ou
            "OUTGOING" (enviada).
          enum:
            - INCOMING
            - OUTGOING
        preResolvedContacts:
          $ref: '#/components/schemas/PreResolvedContacts'
        recipients:
          type: array
          description: >-
            Uma matriz de participantes que representam os destinatários da
            mensagem.
          items:
            $ref: '#/components/schemas/ChannelIntegrationParticipant'
        richText:
          type: string
          description: O conteúdo de rich text da mensagem, permitindo formatação.
        senders:
          type: array
          description: >-
            Uma matriz de participantes que representa os remetentes da
            mensagem.
          items:
            $ref: '#/components/schemas/ChannelIntegrationParticipant'
        text:
          type: string
          description: O conteúdo de texto simples da mensagem.
        timestamp:
          type: string
          description: A data e a hora em que a mensagem foi criada, no formato ISO 8601.
          format: date-time
    PublicConversationsMessage:
      required:
        - archived
        - attachments
        - channelAccountId
        - channelId
        - client
        - conversationsThreadId
        - createdAt
        - createdBy
        - direction
        - id
        - recipients
        - senders
        - text
        - truncationStatus
        - type
      type: object
      properties:
        archived:
          type: boolean
          description: Booleano que indica se a mensagem está arquivada.
        attachments:
          type: array
          description: >-
            Uma matriz de anexos incluídos na mensagem, que podem ser arquivos,
            localizações, contatos ou outros tipos compatíveis.
          items:
            oneOf:
              - $ref: '#/components/schemas/PublicFile'
              - $ref: '#/components/schemas/PublicLocation'
              - $ref: '#/components/schemas/PublicContact'
              - $ref: '#/components/schemas/PublicUnsupportedContent'
              - $ref: '#/components/schemas/PublicMessageHeader'
              - $ref: '#/components/schemas/PublicQuickReplies'
              - $ref: '#/components/schemas/PublicWhatsAppTemplateMetadata'
              - $ref: '#/components/schemas/PublicSocialMetadataAttachment'
        channelAccountId:
          type: string
          description: O identificador da conta de canal associada à mensagem.
        channelId:
          type: string
          description: O identificador do canal pelo qual a mensagem foi enviada.
        client:
          $ref: '#/components/schemas/PublicClient'
        conversationsThreadId:
          type: string
          description: >-
            O identificador do thread de conversa ao qual esta mensagem
            pertence.
        createdAt:
          type: string
          description: A data e a hora em que a mensagem foi criada, no formato ISO 8601.
          format: date-time
        createdBy:
          type: string
          description: O identificador do usuário ou sistema que criou a mensagem.
        direction:
          type: string
          description: A direção da mensagem, seja "INCOMING" ou "OUTGOING".
          enum:
            - INCOMING
            - OUTGOING
        id:
          type: string
          description: O identificador exclusivo da mensagem.
        inReplyToId:
          type: string
          description: >-
            O identificador da mensagem a que esta mensagem responde, se
            aplicável.
        recipients:
          type: array
          description: >-
            Uma matriz de destinatários da mensagem, cada um contendo detalhes
            do destinatário.
          items:
            $ref: '#/components/schemas/PublicRecipient'
        richText:
          type: string
          description: O conteúdo de rich text da mensagem, se disponível.
        senders:
          type: array
          description: >-
            Uma matriz de remetentes associados à mensagem, cada um contendo
            detalhes do remetente.
          items:
            $ref: '#/components/schemas/PublicSender'
        status:
          $ref: '#/components/schemas/PublicMessageStatus'
        subject:
          type: string
          description: O assunto da mensagem, se aplicável.
        text:
          type: string
          description: O conteúdo de texto simples da mensagem.
        truncationStatus:
          type: string
          description: >-
            Indica se o conteúdo da mensagem está truncado. Os valores válidos
            são "NOT_TRUNCATED", "TRUNCATED_TO_MOST_RECENT_REPLY" e "TRUNCATED".
          enum:
            - NOT_TRUNCATED
            - TRUNCATED
            - TRUNCATED_TO_MOST_RECENT_REPLY
        type:
          type: string
          description: O tipo da mensagem, que é sempre 'MESSAGE'.
          default: MESSAGE
          enum:
            - MESSAGE
        updatedAt:
          type: string
          description: >-
            A data e a hora da última atualização da mensagem, no formato ISO
            8601.
          format: date-time
      x-hubspot-sub-type-impl: true
    FileAttachment:
      title: FILE
      required:
        - fileId
        - type
      type: object
      properties:
        fileId:
          type: string
          description: Uma string que representa o identificador exclusivo do arquivo.
        fileUsageType:
          type: string
          description: >-
            Uma string que especifica o tipo de uso do arquivo. Os valores
            válidos incluem 'STICKER', 'VOICE_RECORDING', 'IMAGE', 'AUDIO' e
            'OTHER'.
          enum:
            - AUDIO
            - IMAGE
            - OTHER
            - STICKER
            - VOICE_RECORDING
        type:
          type: string
          description: Uma string que indica o tipo de anexo. O valor padrão é 'FILE'.
          default: FILE
          enum:
            - FILE
      x-hubspot-sub-type-impl: true
    LocationAttachment:
      title: LOCATION
      required:
        - latitude
        - longitude
        - type
      type: object
      properties:
        address:
          type: string
          description: Uma string que representa o endereço do local.
        latitude:
          type: number
          description: Um número que representa a latitude do local.
        longitude:
          type: number
          description: Um número que representa a longitude do local.
        name:
          type: string
          description: Uma string que representa o nome do local.
        type:
          type: string
          description: Uma string que indica o tipo de anexo, que é sempre 'LOCATION'.
          default: LOCATION
          enum:
            - LOCATION
        url:
          type: string
          description: Uma string que representa um URL associado ao local.
      x-hubspot-sub-type-impl: true
    ContactAttachment:
      title: CONTACT
      required:
        - contactProfile
        - type
      type: object
      properties:
        contactProfile:
          $ref: '#/components/schemas/ContactProfile'
        type:
          type: string
          description: Uma string que indica o tipo de anexo. O valor padrão é 'CONTATO'.
          default: CONTACT
          enum:
            - CONTACT
      x-hubspot-sub-type-impl: true
    UnsupportedContentAttachment:
      title: UNSUPPORTED_CONTENT
      required:
        - type
      type: object
      properties:
        type:
          type: string
          description: >-
            Uma string que indica o tipo do anexo. O valor padrão é
            'UNSUPPORTED_CONTENT'.
          default: UNSUPPORTED_CONTENT
          enum:
            - UNSUPPORTED_CONTENT
      x-hubspot-sub-type-impl: true
    MessageHeaderAttachment:
      title: MESSAGE_HEADER
      required:
        - type
      type: object
      properties:
        fileId:
          type: integer
          description: >-
            Um número inteiro opcional que representa o ID de um arquivo
            associado, formatado como um int64.
          format: int64
        text:
          type: string
          description: >-
            Uma string opcional que contém informações de texto para o cabeçalho
            da mensagem.
        type:
          type: string
          description: >-
            Uma string que representa o tipo de anexo, que é sempre
            'MESSAGE_HEADER'.
          default: MESSAGE_HEADER
          enum:
            - MESSAGE_HEADER
      x-hubspot-sub-type-impl: true
    QuickRepliesAttachment:
      title: QUICK_REPLIES
      required:
        - quickReplies
        - type
      type: object
      properties:
        quickReplies:
          type: array
          description: >-
            Uma matriz de objetos QuickReply, cada um representando uma opção
            predefinida que um usuário pode selecionar.
          items:
            $ref: '#/components/schemas/QuickReply'
        type:
          type: string
          description: >-
            Uma string que indica o tipo de anexo. O valor padrão é
            'QUICK_REPLIES'.
          default: QUICK_REPLIES
          enum:
            - QUICK_REPLIES
      x-hubspot-sub-type-impl: true
    SocialMetadataIntegrationAttachment:
      title: SOCIAL_MEDIA_METADATA
      required:
        - socialMetadata
        - type
      type: object
      properties:
        socialMetadata:
          $ref: '#/components/schemas/SocialMetadata'
        type:
          type: string
          description: >-
            Uma string que indica o tipo de anexo, que é
            'SOCIAL_MEDIA_METADATA'.
          default: SOCIAL_MEDIA_METADATA
          enum:
            - SOCIAL_MEDIA_METADATA
      x-hubspot-sub-type-impl: true
    PreResolvedContacts:
      required:
        - contacts
      type: object
      properties:
        contacts:
          type: array
          description: >-
            Uma matriz de objetos PreResolvedContact. Cada objeto contém
            informações sobre um contato que foi pré-resolvido, incluindo as
            propriedades que levaram à correspondência. Essa matriz é
            obrigatória.
          items:
            $ref: '#/components/schemas/PreResolvedContact'
    ChannelIntegrationParticipant:
      required:
        - deliveryIdentifier
      type: object
      properties:
        deliveryIdentifier:
          $ref: '#/components/schemas/PublicDeliveryIdentifier'
        name:
          type: string
          description: >-
            O nome do participante. É uma string que pode ser usada para
            identificar o participante dentro do canal.
        senderActorId:
          type: string
          description: >-
            Uma string que representa o identificador exclusivo do ator
            remetente. Isso é usado para distinguir o remetente dentro da
            integração do canal.
    PublicFile:
      title: FILE
      required:
        - fileId
        - fileUsageType
        - type
      type: object
      properties:
        fileId:
          type: string
          description: Uma string que representa o identificador exclusivo do arquivo.
        fileUsageType:
          type: string
          description: >-
            Uma string que especifica o tipo de uso do arquivo, que pode ser
            'STICKER', 'VOICE_RECORDING', 'IMAGE', 'AUDIO' ou 'OTHER'.
          enum:
            - AUDIO
            - IMAGE
            - OTHER
            - STICKER
            - VOICE_RECORDING
        name:
          type: string
          description: Uma string contendo o nome do arquivo.
        type:
          type: string
          description: Uma string que indica o tipo do anexo, que é sempre 'FILE'.
          default: FILE
          enum:
            - FILE
        url:
          type: string
          description: Uma string que contém o URL onde o arquivo pode ser acessado.
      x-hubspot-sub-type-impl: true
    PublicLocation:
      title: LOCATION
      required:
        - latitude
        - longitude
        - type
      type: object
      properties:
        address:
          type: string
          description: Uma string que representa o endereço do local.
        latitude:
          type: number
          description: Um número que representa a latitude do local.
        longitude:
          type: number
          description: Um número que representa a longitude do local.
        name:
          type: string
          description: Uma string que representa o nome do local.
        type:
          type: string
          description: Uma string que especifica o tipo do componente, que é 'LOCATION'.
          default: LOCATION
          enum:
            - LOCATION
        url:
          type: string
          description: Uma string que representa um URL associado ao local.
      x-hubspot-sub-type-impl: true
    PublicContact:
      title: CONTACT
      required:
        - contactProfile
        - type
      type: object
      properties:
        contactProfile:
          $ref: '#/components/schemas/ContactProfile'
        type:
          type: string
          description: >-
            Uma string que indica o tipo do componente, que é "CONTACT" por
            padrão.
          default: CONTACT
          enum:
            - CONTACT
      x-hubspot-sub-type-impl: true
    PublicUnsupportedContent:
      title: UNSUPPORTED_CONTENT
      required:
        - type
      type: object
      properties:
        type:
          type: string
          description: >-
            Uma string que especifica o tipo de conteúdo não compatível. O valor
            padrão e único válido é "UNSUPPORTED_CONTENT".
          default: UNSUPPORTED_CONTENT
          enum:
            - UNSUPPORTED_CONTENT
      x-hubspot-sub-type-impl: true
    PublicMessageHeader:
      title: MESSAGE_HEADER
      required:
        - type
      type: object
      properties:
        fileId:
          type: integer
          description: >-
            Um número inteiro que representa o ID de um arquivo associado,
            formatado como um int64.
          format: int64
        text:
          type: string
          description: Uma string que contém o conteúdo de texto do cabeçalho da mensagem.
        type:
          type: string
          description: >-
            Uma string que indica o tipo do cabeçalho da mensagem. O valor
            padrão e único válido é 'MESSAGE_HEADER'.
          default: MESSAGE_HEADER
          enum:
            - MESSAGE_HEADER
      x-hubspot-sub-type-impl: true
    PublicQuickReplies:
      title: QUICK_REPLIES
      required:
        - allowMultiSelect
        - allowUserInput
        - quickReplies
        - type
      type: object
      properties:
        allowMultiSelect:
          type: boolean
          description: >-
            Um booleano que indica se várias respostas rápidas podem ser
            selecionadas pelo usuário.
        allowUserInput:
          type: boolean
          description: >-
            Um booleano que indica se o usuário pode inserir sua própria
            resposta, além de selecionar entre as respostas rápidas.
        quickReplies:
          type: array
          description: >-
            Uma matriz de objetos QuickReply, cada um representando uma única
            opção de resposta rápida disponível para o usuário.
          items:
            $ref: '#/components/schemas/QuickReply'
        type:
          type: string
          description: Uma string que indica o tipo do componente, que é "QUICK_REPLIES".
          default: QUICK_REPLIES
          enum:
            - QUICK_REPLIES
      x-hubspot-sub-type-impl: true
    PublicWhatsAppTemplateMetadata:
      title: WHATSAPP_TEMPLATE_METADATA
      required:
        - crmObjectIds
        - parameters
        - type
      type: object
      properties:
        contentId:
          type: integer
          description: >-
            Um número inteiro que representa o ID do conteúdo associado ao
            modelo. Este é um número inteiro de 64 bits.
          format: int64
        crmObjectIds:
          type: object
          additionalProperties:
            type: integer
            format: int64
          description: >-
            Um objeto que mapeia tipos de objetos do CRM aos seus respectivos
            IDs, em que cada ID é um número inteiro de 64 bits.
        mappedTemplateId:
          type: integer
          description: >-
            Um número inteiro que representa o ID do modelo mapeado. Este é um
            número inteiro de 64 bits.
          format: int64
        parameters:
          type: object
          additionalProperties:
            type: string
          description: >-
            Um objeto que contém pares de chave-valor de parâmetros usados para
            personalização de modelo, em que cada valor é uma string.
        rootMicId:
          type: integer
          description: >-
            Um número inteiro que representa o ID do contexto de interação da
            mensagem raiz. Este é um número inteiro de 64 bits.
          format: int64
        type:
          type: string
          description: >-
            Uma string que indica o tipo de metadados, que é
            'WHATSAPP_TEMPLATE_METADATA'.
          default: WHATSAPP_TEMPLATE_METADATA
          enum:
            - WHATSAPP_TEMPLATE_METADATA
      x-hubspot-sub-type-impl: true
    PublicSocialMetadataAttachment:
      title: SOCIAL_MEDIA_METADATA
      required:
        - socialMetadata
        - type
      type: object
      properties:
        socialMetadata:
          $ref: '#/components/schemas/SocialMetadata'
        type:
          type: string
          description: >-
            Uma string que indica o tipo de anexo, que é
            'SOCIAL_MEDIA_METADATA'.
          default: SOCIAL_MEDIA_METADATA
          enum:
            - SOCIAL_MEDIA_METADATA
      x-hubspot-sub-type-impl: true
    PublicClient:
      required:
        - clientType
      type: object
      properties:
        clientType:
          type: string
          description: >-
            O tipo de cliente que está interagindo com a API. Os valores válidos
            incluem "HUBSPOT", "SYSTEM", "INTEGRATION" e "UNKNOWN".
          enum:
            - HUBSPOT
            - INTEGRATION
            - SYSTEM
            - UNKNOWN
        integrationAppId:
          type: integer
          description: >-
            O identificador exclusivo para o aplicativo de integração associado
            a este cliente. É um valor inteiro.
          format: int32
    PublicRecipient:
      required:
        - deliveryIdentifier
      type: object
      properties:
        actorId:
          type: string
          description: >-
            Uma string que representa o identificador exclusivo do ator
            associado ao destinatário.
        deliveryIdentifier:
          $ref: '#/components/schemas/PublicDeliveryIdentifier'
        name:
          type: string
          description: Uma string que representa o nome do destinatário.
        recipientField:
          type: string
          description: >-
            Uma string que representa um campo específico relacionado ao
            destinatário.
    PublicSender:
      type: object
      properties:
        actorId:
          type: string
          description: >-
            O identificador exclusivo do remetente, representado como uma
            string.
        deliveryIdentifier:
          $ref: '#/components/schemas/PublicDeliveryIdentifier'
        name:
          type: string
          description: O nome do remetente, representado como uma string.
        senderField:
          type: string
          description: >-
            Um campo de string associado ao remetente, seu uso específico não é
            detalhado na especificação.
    PublicMessageStatus:
      required:
        - statusType
      type: object
      properties:
        failureDetails:
          $ref: '#/components/schemas/PublicMessageFailureDetails'
        statusType:
          type: string
          description: >-
            O status atual da mensagem. Os valores válidos incluem "SENT",
            "FAILED", "RECEIVED" e "READ".
          enum:
            - FAILED
            - READ
            - RECEIVED
            - SENT
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: A categoria de erro
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Contexto sobre a condição do erro
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            Um identificador exclusivo para a solicitação. Inclua este valor em
            relatórios de erro ou tickets de suporte
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: mais informações sobre o erro
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            Um mapa de nomes de links para URIs associados que contêm
            documentação sobre o erro ou as etapas de correção recomendadas
        message:
          type: string
          description: >-
            Uma mensagem legível por humanos que descreve o erro, juntamente com
            as etapas de correção, quando apropriado
          example: An error occurred
        subCategory:
          type: string
          description: >-
            Uma categoria específica que contém mais detalhes específicos sobre
            o erro
      description: >-
        Representa uma resposta de erro retornada pela API quando uma operação
        falha. Este componente é usado em vários endpoints para fornecer
        informações detalhadas sobre o erro encontrado.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    ContactProfile:
      required:
        - addresses
        - emails
        - phones
        - urls
      type: object
      properties:
        addresses:
          type: array
          description: >-
            Uma matriz de endereços associados ao contato, em que cada endereço
            inclui detalhes como tipo (por exemplo, HOME, WORK), rua, cidade,
            estado, CEP, país e código do país.
          items:
            $ref: '#/components/schemas/ContactAddress'
        emails:
          type: array
          description: >-
            Uma matriz de endereços de e-mail do contato, em que cada e-mail
            possui um tipo (por exemplo, HOME, WORK) e o próprio endereço de
            e-mail.
          items:
            $ref: '#/components/schemas/ContactEmail'
        name:
          $ref: '#/components/schemas/ContactName'
        org:
          $ref: '#/components/schemas/ContactOrg'
        phones:
          type: array
          description: >-
            Uma matriz de números de telefone do contato, em que cada número
            inclui um tipo (por exemplo, CELL, MAIN, HOME, WORK) e o número de
            telefone.
          items:
            $ref: '#/components/schemas/ContactPhone'
        urls:
          type: array
          description: >-
            Uma matriz de URLs relacionadas ao contato, em que cada URL inclui
            um tipo (por exemplo, HOME, WORK) e a própria URL.
          items:
            $ref: '#/components/schemas/ContactUrl'
    QuickReply:
      required:
        - value
        - valueType
      type: object
      properties:
        label:
          type: string
          description: >-
            O rótulo exibido ao usuário para a opção de resposta rápida. É uma
            string.
        value:
          type: string
          description: >-
            O valor associado à resposta rápida, geralmente usado como a
            resposta quando a resposta rápida é selecionada. É uma string.
        valueType:
          type: string
          description: >-
            O tipo do valor, indicando como ele deve ser interpretado. É uma
            string e pode ser "TEXT" ou "URL".
          enum:
            - TEXT
            - URL
    SocialMetadata:
      required:
        - mediaType
      type: object
      properties:
        description:
          type: string
          description: Uma descrição do conteúdo de mídia.
        id:
          type: string
          description: O identificador exclusivo para este conteúdo de mídia.
        mediaTitle:
          type: string
          description: O título do conteúdo de mídia.
        mediaType:
          type: string
          description: >-
            O tipo de conteúdo de mídia, como "PHOTO", "VIDEO", "CAROUSEL",
            "LINK", "ARTICLE", "GIF", "DOCUMENT", "POLL", "NONE", "STORY" ou
            "AUDIO".
          enum:
            - ARTICLE
            - AUDIO
            - CAROUSEL
            - DOCUMENT
            - GIF
            - LINK
            - NONE
            - PHOTO
            - POLL
            - STORY
            - VIDEO
        mediaUrl:
          type: string
          description: O URL onde o conteúdo de mídia está localizado.
        mediaUrlString:
          type: string
          description: Uma string que representa a URL do conteúdo de mídia.
        thumbnailUrl:
          type: string
          description: O URL da imagem em miniatura para o conteúdo de mídia.
    PreResolvedContact:
      required:
        - contactPropertiesLeadingToMatch
        - contactVid
      type: object
      properties:
        contactPropertiesLeadingToMatch:
          type: array
          description: >-
            Uma matriz de strings que indicam as propriedades usadas para
            corresponder e identificar o contato. Os valores válidos incluem
            vários atributos de contato, como "email", "firstname", "lastname" e
            muitos outros.
          items:
            type: string
            enum:
              - address
              - annualrevenue
              - associatedcompanyid
              - associatedcompanylastupdated
              - city
              - closedate
              - company
              - company_size
              - country
              - createdate
              - currentlyinworkflow
              - date_of_birth
              - days_to_close
              - degree
              - email
              - engagements_last_meeting_booked
              - engagements_last_meeting_booked_campaign
              - engagements_last_meeting_booked_medium
              - engagements_last_meeting_booked_source
              - fax
              - field_of_study
              - first_conversion_date
              - first_conversion_event_name
              - first_deal_created_date
              - firstname
              - followercount
              - gender
              - graduation_date
              - hs_active_contracts_arr
              - hs_active_contracts_mrr
              - hs_active_contracts_tcv
              - hs_additional_emails
              - hs_all_contact_vids
              - hs_analytics_average_page_views
              - hs_analytics_first_referrer
              - hs_analytics_first_timestamp
              - hs_analytics_first_touch_converting_campaign
              - hs_analytics_first_url
              - hs_analytics_first_visit_timestamp
              - hs_analytics_last_referrer
              - hs_analytics_last_timestamp
              - hs_analytics_last_touch_converting_campaign
              - hs_analytics_last_url
              - hs_analytics_last_visit_timestamp
              - hs_analytics_num_event_completions
              - hs_analytics_num_page_views
              - hs_analytics_num_visits
              - hs_analytics_revenue
              - hs_analytics_source
              - hs_analytics_source_composite_data
              - hs_analytics_source_data_1
              - hs_analytics_source_data_2
              - hs_associated_target_accounts
              - hs_avatar_filemanager_key
              - hs_bing_ad_clicked
              - hs_bing_click_id
              - hs_buying_role
              - hs_calculated_form_submissions
              - hs_calculated_merged_vids
              - hs_calculated_mobile_number
              - hs_calculated_phone_number
              - hs_calculated_phone_number_area_code
              - hs_calculated_phone_number_country_code
              - hs_calculated_phone_number_region_code
              - hs_chat_assistant_iql_date
              - hs_chat_assistant_source
              - hs_chat_assistant_summary
              - hs_chatgpt_ad_clicked
              - hs_chatgpt_click_id
              - hs_clicked_linkedin_ad
              - hs_consent_to_email_tracking
              - hs_contact_creation_legal_basis_source_instance_id
              - hs_contact_enrichment_opt_out
              - hs_contact_enrichment_opt_out_timestamp
              - hs_content_membership_email
              - hs_content_membership_email_confirmed
              - hs_content_membership_follow_up_enqueued_at
              - hs_content_membership_notes
              - hs_content_membership_registered_at
              - hs_content_membership_registration_domain_sent_to
              - hs_content_membership_registration_email_sent_at
              - hs_content_membership_status
              - hs_conversations_visitor_email
              - hs_count_is_unworked
              - hs_count_is_worked
              - hs_country_region_code
              - hs_created_by_conversations
              - hs_cross_account_note
              - hs_cross_sell_opportunity
              - hs_current_customer
              - hs_currently_enrolled_in_prospecting_agent
              - hs_customer_agent_lead_status
              - hs_data_privacy_ads_consent
              - hs_date_entered_customer
              - hs_date_entered_evangelist
              - hs_date_entered_lead
              - hs_date_entered_marketingqualifiedlead
              - hs_date_entered_opportunity
              - hs_date_entered_other
              - hs_date_entered_salesqualifiedlead
              - hs_date_entered_subscriber
              - hs_date_exited_customer
              - hs_date_exited_evangelist
              - hs_date_exited_lead
              - hs_date_exited_marketingqualifiedlead
              - hs_date_exited_opportunity
              - hs_date_exited_other
              - hs_date_exited_salesqualifiedlead
              - hs_date_exited_subscriber
              - hs_document_last_revisited
              - hs_email_bad_address
              - hs_email_bounce
              - hs_email_click
              - hs_email_communication_subscriptions_opted_in
              - hs_email_communication_subscriptions_opted_out
              - hs_email_customer_quarantined_reason
              - hs_email_delivered
              - hs_email_domain
              - hs_email_engagement_likelihood_category
              - hs_email_first_click_date
              - hs_email_first_open_date
              - hs_email_first_reply_date
              - hs_email_first_send_date
              - hs_email_hard_bounce_reason
              - hs_email_hard_bounce_reason_enum
              - hs_email_is_ineligible
              - hs_email_last_click_date
              - hs_email_last_email_name
              - hs_email_last_open_date
              - hs_email_last_reply_date
              - hs_email_last_send_date
              - hs_email_live_sourcing_restricted
              - hs_email_open
              - hs_email_optimal_send_day_of_week
              - hs_email_optimal_send_time_of_day
              - hs_email_optout
              - hs_email_optout_survey_reason
              - hs_email_quarantined
              - hs_email_quarantined_reason
              - hs_email_recipient_fatigue_recovery_time
              - hs_email_replied
              - hs_email_sends_since_last_engagement
              - hs_email_type
              - hs_emailconfirmationstatus
              - hs_employment_change_detected_date
              - hs_enforce_double_opt_in
              - hs_enriched_email_bounce_detected
              - hs_excluded_from_cross_account_data_mirroring
              - hs_facebook_ad_clicked
              - hs_facebook_click_id
              - hs_facebookid
              - hs_feedback_last_ces_survey_date
              - hs_feedback_last_ces_survey_follow_up
              - hs_feedback_last_ces_survey_rating
              - hs_feedback_last_csat_survey_date
              - hs_feedback_last_csat_survey_follow_up
              - hs_feedback_last_csat_survey_rating
              - hs_feedback_last_nps_follow_up
              - hs_feedback_last_nps_rating
              - hs_feedback_last_nps_rating_number
              - hs_feedback_last_survey_date
              - hs_feedback_show_nps_web_survey
              - hs_first_closed_order_id
              - hs_first_engagement_object_id
              - hs_first_order_closed_date
              - hs_first_outreach_date
              - hs_first_subscription_create_date
              - hs_full_name_or_email
              - hs_geohash_1
              - hs_geohash_2
              - hs_geohash_3
              - hs_geohash_4
              - hs_geohash_5
              - hs_geohash_6
              - hs_google_click_id
              - hs_googleplusid
              - hs_gps_coordinates
              - hs_gps_error
              - hs_gps_latitude
              - hs_gps_longitude
              - hs_has_active_subscription
              - hs_inbound_agent_inquiry_type
              - hs_inbound_agent_last_conversation_date
              - hs_inbound_agent_qualification_status
              - hs_inferred_language_codes
              - hs_intent_paid_up_to_date
              - hs_intent_signals_enabled
              - hs_ip_timezone
              - hs_is_contact
              - hs_is_enriched
              - hs_is_mass_marketing_activation_disallowed
              - hs_is_merge_revertible
              - hs_is_unworked
              - hs_job_change_detected_date
              - hs_journey_stage
              - hs_language
              - hs_last_metered_enrichment_timestamp
              - hs_last_sales_activity_date
              - hs_last_sales_activity_timestamp
              - hs_last_sales_activity_type
              - hs_last_sms_send_date
              - hs_last_sms_send_name
              - hs_latest_disqualified_lead_date
              - hs_latest_meeting_activity
              - hs_latest_open_lead_date
              - hs_latest_qualified_lead_date
              - hs_latest_sequence_ended_date
              - hs_latest_sequence_enrolled
              - hs_latest_sequence_enrolled_date
              - hs_latest_sequence_finished_date
              - hs_latest_sequence_unenrolled_date
              - hs_latest_source
              - hs_latest_source_composite_data
              - hs_latest_source_data_1
              - hs_latest_source_data_2
              - hs_latest_source_timestamp
              - hs_latest_subscription_create_date
              - hs_latitude
              - hs_lead_status
              - hs_legal_basis
              - hs_lifecyclestage_customer_date
              - hs_lifecyclestage_evangelist_date
              - hs_lifecyclestage_lead_date
              - hs_lifecyclestage_marketingqualifiedlead_date
              - hs_lifecyclestage_opportunity_date
              - hs_lifecyclestage_other_date
              - hs_lifecyclestage_salesqualifiedlead_date
              - hs_lifecyclestage_subscriber_date
              - hs_linkedin_ad_clicked
              - hs_linkedin_click_id
              - hs_linkedin_url
              - hs_linkedinid
              - hs_live_enrichment_deadline
              - hs_longitude
              - hs_manual_campaign_ids
              - hs_marketable_reason_id
              - hs_marketable_reason_type
              - hs_marketable_status
              - hs_marketable_until_renewal
              - hs_membership_has_accessed_private_content
              - hs_membership_last_private_content_access_date
              - hs_messaging_engagement_score
              - hs_mobile_sdk_push_tokens
              - hs_next_renewal_date
              - hs_notes_last_activity
              - hs_notes_next_activity
              - hs_notes_next_activity_type
              - hs_num_active_contracts
              - hs_num_associated_open_deals
              - hs_persona
              - hs_pinned_engagement_id
              - hs_pipeline
              - hs_predictivecontactscore
              - hs_predictivecontactscore_tmp
              - hs_predictivecontactscore_v2
              - hs_predictivecontactscorebucket
              - hs_predictivescoringtier
              - hs_predictivescoringtier_tmp
              - hs_prospecting_agent_activation_email_id
              - hs_prospecting_agent_activation_status
              - hs_prospecting_agent_actively_enrolled_count
              - hs_prospecting_agent_enrollment_status
              - hs_prospecting_agent_enrollment_status_raw
              - hs_prospecting_agent_last_enrolled
              - hs_prospecting_agent_sender
              - hs_prospecting_agent_total_enrolled_count
              - hs_quarantined_emails
              - hs_recent_closed_order_date
              - hs_reddit_ad_clicked
              - hs_reddit_click_id
              - hs_registered_member
              - hs_registration_method
              - hs_returning_to_office_detected_date
              - hs_role
              - hs_sa_first_engagement_date
              - hs_sa_first_engagement_descr
              - hs_sa_first_engagement_object_type
              - hs_sales_email_last_clicked
              - hs_sales_email_last_opened
              - hs_sales_email_last_replied
              - hs_searchable_calculated_international_mobile_number
              - hs_searchable_calculated_international_phone_number
              - hs_searchable_calculated_mobile_number
              - hs_searchable_calculated_phone_number
              - hs_seniority
              - hs_sequences_actively_enrolled_count
              - hs_sequences_enrolled_count
              - hs_sequences_is_enrolled
              - hs_social_facebook_clicks
              - hs_social_google_plus_clicks
              - hs_social_last_engagement
              - hs_social_linkedin_clicks
              - hs_social_num_broadcast_clicks
              - hs_social_twitter_clicks
              - hs_source_object_id
              - hs_source_portal_id
              - hs_sourced_contact_origin
              - hs_state_code
              - hs_sub_role
              - hs_testpurge
              - hs_testrollback
              - hs_tiktok_ad_clicked
              - hs_tiktok_click_id
              - hs_time_between_contact_creation_and_deal_close
              - hs_time_between_contact_creation_and_deal_creation
              - hs_time_in_customer
              - hs_time_in_evangelist
              - hs_time_in_lead
              - hs_time_in_marketingqualifiedlead
              - hs_time_in_opportunity
              - hs_time_in_other
              - hs_time_in_salesqualifiedlead
              - hs_time_in_subscriber
              - hs_time_to_first_engagement
              - hs_time_to_move_from_lead_to_customer
              - hs_time_to_move_from_marketingqualifiedlead_to_customer
              - hs_time_to_move_from_opportunity_to_customer
              - hs_time_to_move_from_salesqualifiedlead_to_customer
              - hs_time_to_move_from_subscriber_to_customer
              - hs_timezone
              - hs_twitterid
              - hs_user_ids_of_all_notification_recipients
              - hs_v2_cumulative_time_in_customer
              - hs_v2_cumulative_time_in_evangelist
              - hs_v2_cumulative_time_in_lead
              - hs_v2_cumulative_time_in_marketingqualifiedlead
              - hs_v2_cumulative_time_in_opportunity
              - hs_v2_cumulative_time_in_other
              - hs_v2_cumulative_time_in_salesqualifiedlead
              - hs_v2_cumulative_time_in_subscriber
              - hs_v2_date_entered_current_stage
              - hs_v2_date_entered_customer
              - hs_v2_date_entered_evangelist
              - hs_v2_date_entered_lead
              - hs_v2_date_entered_marketingqualifiedlead
              - hs_v2_date_entered_opportunity
              - hs_v2_date_entered_other
              - hs_v2_date_entered_salesqualifiedlead
              - hs_v2_date_entered_subscriber
              - hs_v2_date_exited_customer
              - hs_v2_date_exited_evangelist
              - hs_v2_date_exited_lead
              - hs_v2_date_exited_marketingqualifiedlead
              - hs_v2_date_exited_opportunity
              - hs_v2_date_exited_other
              - hs_v2_date_exited_salesqualifiedlead
              - hs_v2_date_exited_subscriber
              - hs_v2_latest_time_in_customer
              - hs_v2_latest_time_in_evangelist
              - hs_v2_latest_time_in_lead
              - hs_v2_latest_time_in_marketingqualifiedlead
              - hs_v2_latest_time_in_opportunity
              - hs_v2_latest_time_in_other
              - hs_v2_latest_time_in_salesqualifiedlead
              - hs_v2_latest_time_in_subscriber
              - hs_v2_time_in_current_stage
              - hs_whatsapp_bsuids
              - hs_whatsapp_phone_number
              - hs_why_this_contact
              - hubspot_owner_id
              - hubspotscore
              - industry
              - ip_city
              - ip_country
              - ip_country_code
              - ip_latlon
              - ip_state
              - ip_state_code
              - ip_zipcode
              - job_function
              - jobtitle
              - kloutscoregeneral
              - lastmodifieddate
              - lastname
              - lifecyclestage
              - linkedinbio
              - linkedinconnections
              - marital_status
              - message
              - military_status
              - mobilephone
              - notes_last_contacted
              - notes_last_updated
              - notes_next_activity_date
              - num_associated_deals
              - num_contacted_notes
              - num_conversion_events
              - num_notes
              - num_unique_conversion_events
              - numemployees
              - owneremail
              - ownername
              - phone
              - photo
              - recent_conversion_date
              - recent_conversion_event_name
              - recent_deal_amount
              - recent_deal_close_date
              - relationship_status
              - salutation
              - school
              - seniority
              - start_date
              - state
              - surveymonkeyeventlastupdated
              - total_revenue
              - twitterbio
              - twitterhandle
              - twitterprofilephoto
              - webinareventlastupdated
              - website
              - work_email
              - zip
        contactVid:
          type: integer
          description: >-
            O identificador exclusivo para o contato, representado como um
            número inteiro no formato int64.
          format: int64
    PublicDeliveryIdentifier:
      required:
        - type
        - value
      type: object
      properties:
        type:
          type: string
          description: >-
            Uma string que representa o tipo de identificador de entrega. Os
            valores válidos incluem 'HS_EMAIL_ADDRESS', 'HS_PHONE_NUMBER',
            'HS_SHORT_CODE' e 'CHANNEL_SPECIFIC_OPAQUE_ID'.
          enum:
            - CHANNEL_SPECIFIC_OPAQUE_ID
            - HS_EMAIL_ADDRESS
            - HS_PHONE_NUMBER
            - HS_SHORT_CODE
        value:
          type: string
          description: >-
            Uma string que representa o valor associado ao tipo de identificador
            de entrega.
    PublicMessageFailureDetails:
      required:
        - errorMessageTokens
      type: object
      properties:
        errorMessage:
          type: string
          description: >-
            Uma string que contém uma descrição legível por humanos do erro que
            ocorreu durante a entrega da mensagem.
        errorMessageTokens:
          type: object
          additionalProperties:
            type: string
          description: >-
            Um objeto que contém pares chave-valor, em que cada chave é um nome
            de token e cada valor é uma string. Esses tokens fornecem contexto
            ou detalhes adicionais relacionados à mensagem de erro.
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: O código de status associado ao detalhe do erro
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Contexto sobre a condição do erro
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: O nome do campo ou parâmetro no qual o erro foi encontrado.
        message:
          type: string
          description: >-
            Uma mensagem legível por humanos que descreve o erro, juntamente com
            as etapas de correção, quando apropriado
        subCategory:
          type: string
          description: >-
            Uma categoria específica que contém mais detalhes específicos sobre
            o erro
      description: >-
        Representa informações detalhadas sobre um erro ocorrido na API. Este
        componente é usado para fornecer contexto e detalhes adicionais sobre os
        erros, geralmente como parte de uma resposta de erro.
    ContactAddress:
      type: object
      properties:
        city:
          type: string
          description: A cidade onde o contato está localizado. É um valor de string.
        country:
          type: string
          description: O país onde o contato está localizado. É um valor de string.
        countryCode:
          type: string
          description: >-
            O código que representa o país do endereço do contato. É um valor de
            string.
        state:
          type: string
          description: Estado onde o contato está localizado. É um valor de string.
        street:
          type: string
          description: O endereço do contato. É um valor de string.
        type:
          type: string
          description: O tipo de endereço, que pode ser 'HOME' ou 'WORK'.
          enum:
            - HOME
            - WORK
        zip:
          type: string
          description: O código postal do endereço do contato. É um valor de string.
    ContactEmail:
      required:
        - email
      type: object
      properties:
        email:
          type: string
          description: O endereço de e-mail real do contato, representado como uma string.
        type:
          type: string
          description: O tipo de endereço de e-mail, que pode ser "HOME" ou "WORK".
          enum:
            - HOME
            - WORK
    ContactName:
      type: object
      properties:
        firstName:
          type: string
          description: Uma string que representa o primeiro nome do contato.
        lastName:
          type: string
          description: Uma string que representa o sobrenome do contato.
        middleName:
          type: string
          description: Uma string que representa o nome do meio do contato.
        prefix:
          type: string
          description: >-
            Uma string que representa o prefixo do nome do contato, como "Sr.",
            "Sra." ou "Dr.".
        suffix:
          type: string
          description: >-
            Uma string que representa o sufixo do nome do contato, como "Jr.",
            "Sr." ou "III".
    ContactOrg:
      type: object
      properties:
        company:
          type: string
          description: >-
            O nome da empresa à qual o contato está associado. É um valor de
            string.
        department:
          type: string
          description: >-
            O departamento da empresa onde o contato trabalha. É um valor de
            string.
        title:
          type: string
          description: O cargo do contato na empresa. É um valor de tipo string.
    ContactPhone:
      required:
        - phone
      type: object
      properties:
        phone:
          type: string
          description: >-
            O número de telefone associado ao contato. Esta é uma string que
            representa o número de telefone do contato.
        type:
          type: string
          description: 'O tipo de telefone, que pode ser: "CELL", "MAIN", "HOME" ou "WORK".'
          enum:
            - CELL
            - HOME
            - MAIN
            - WORK
    ContactUrl:
      required:
        - url
      type: object
      properties:
        type:
          type: string
          description: >-
            A categoria do URL, indicando sua finalidade. Os valores válidos
            incluem "HOME" e "WORK".
          enum:
            - HOME
            - WORK
        url:
          type: string
          description: O URL real associado ao contato.
  responses:
    Error:
      description: An error occurred.
      content:
        '*/*':
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.hubspot.com/oauth/authorize
          tokenUrl: https://api.hubapi.com/oauth/v1/token
          scopes:
            conversations.custom_channels.read: ''
            conversations.custom_channels.write: ''

````